Bug 1649875 - python errors running ssm info(system-storage-manager)
Summary: python errors running ssm info(system-storage-manager)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-storage-manager
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Tulak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 16:43 UTC by Donald O.
Modified: 2018-12-19 02:28 UTC (History)
4 users (show)

Fixed In Version: system-storage-manager-1.3-0.fc28 system-storage-manager-1.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-19 01:50:40 UTC


Attachments (Terms of Use)

Description Donald O. 2018-11-14 16:43:07 UTC
Description of problem:

python errors running ssm info

Version-Release number of selected component (if applicable):


How reproducible:
running ssm info

Steps to Reproduce:
1.
invoke ssm info
2.
3.

Actual results:

----------------------
Traceback (most recent call last):
File "/usr/bin/ssm", line 59, in <module>
sys.exit(main.main())
File "/usr/lib/python3.7/site-packages/ssmlib/main.py", line 2863, in main
args.func(args)
File "/usr/lib/python3.7/site-packages/ssmlib/main.py", line 1989, in info
source.pinfo()
File "/usr/lib/python3.7/site-packages/ssmlib/main.py", line 1187, in pinfo
misc.ptable(node.get_printable_details())
File "/usr/lib/python3.7/site-packages/ssmlib/main.py", line 767, in get_printable_details
return self._get_printable_details()
File "/usr/lib/python3.7/site-packages/ssmlib/main.py", line 931, in _get_printable_details
out += self.parent_pool_info(self)
File "/usr/lib/python3.7/site-packages/ssmlib/main.py", line 747, in parent_pool_info
pool = cls.get_pool_node(node)
File "/usr/lib/python3.7/site-packages/ssmlib/main.py", line 680, in get_pool_node
alias = node.children[0].get_alias()
IndexError: list index out of range 

Expected results:
no errors/warnings

Additional info:

Comment 1 Jan Tulak 2018-11-15 12:29:44 UTC
Hi, thanks for the report.

Assuming you have a btrfs device somewhere, this is an already known issue and I have a patch available where I'm waiting if the original reporter can test it.

If you want to test it too, clone SSM's git repository from github and switch to branch btrfs-info-fix:

git clone https://github.com/system-storage-manager/ssm.git
git checkout btrfs-info-fix

And then run that version of ssm (<dir>/bin/ssm.local info) as you would the version in your system. Did it fix the issue?

Comment 2 Donald O. 2018-12-03 13:13:55 UTC
gone.

Comment 3 Jan Tulak 2018-12-04 08:50:41 UTC
I take it that the fix worked for you. That's good to hear, but it doesn't make the bug un-happen. It will go through the standard steps and I will close the issue when the patch lands in Fedora (a release is planned for the next week).

Comment 4 Donald O. 2018-12-04 09:15:37 UTC
Yes there are some btrfs file systems active.
I install ssm from fedora repository and don't intend to build ssm ever. Thus the patch can't work for me.

Comment 5 Jan Tulak 2018-12-04 09:25:02 UTC
The upstream link is only to see if it really is the same issue, if it gets fixed and a temporary workaround, not a permanent solution for you. I plan to push a new release that includes this fix into Fedora testing the next Monday, and then it will take a few days before it moves to Fedora stable.

Comment 6 Donald O. 2018-12-04 09:27:56 UTC
thanks  a lot Jan!

Comment 7 Jan Tulak 2018-12-04 09:30:39 UTC
Please, do not close the bug. I will do it myself when the fix gets to Fedora repo. Thanks.

Comment 8 Donald O. 2018-12-04 13:48:20 UTC
OK, Jan. Again thanks  a lot in advance.

Comment 9 Fedora Update System 2018-12-19 01:50:40 UTC
system-storage-manager-1.3-0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-12-19 02:28:07 UTC
system-storage-manager-1.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.